//*****************************************************************************
//
// File Name	: 'SED1530.h'
// Title		: SPI interface driver for the E0855-2 SED1530 graphic LCD
// Author		: Marc Meise
// Created		: Oktober 2007
// Version		: Beta
// Target MCU	: Atmel AVR series
//
//
// This code is distributed under the GNU Public License
// which can be found at http://www.gnu.org/licenses/gpl.txt
//
//*****************************************************************************

/*  
	Disclaimer:
	This code is highly beta and might lack some funcionality and/or documentation.
	Furthermore the code has not been properly tested.
	Nevertheless, please expect most functions to work.

	I will not take any responsibility or what so ever for the functionality of the E0855-2 SED1530 driver.
	If you wreck anything - it's your own business...
	Modify this code and contribute freely.
*/
#ifndef SED1530_H

//A very simple delay-function, needed for initialisation of the SED1530
extern void delay (void);

//Init for the SPI, called by the Init_SED1530 routine
extern void Init_SPI (void);

//Init for the SED1530 - has to be called once
extern void Init_SED1530 (void);

//Clears the entire display of the E0855-2 icluding all Symbols
extern void SED_clear (void);

//Clears a Page (line)
//syntax: SED_clear_page (Page-Number (0to3));
extern void SED_clear_page (uint8_t Page);

//Set the column (invisible cursor) to the left-most visible position of the E0855-2
extern void SED_Home_Col (void);

//Prints a Charcter at the defined column and page-position
//Syntax: SED_putc ('character') or SED_putc (ASCII_Code)
extern void SED_putc (char character);

//Prints a string at the defined column and page-position
//Syntax: SED_puts ("String");
extern void SED_puts (char *string);

//Prints a numeric value or numeric variable at the defined column and page-position
//Syntax: SED_puts_num (Value); SED_puts_num (Variable);
extern void SED_puts_num (uint16_t numeric);

//Changes to the next Page and set the column (invisible cursor) to the left-most visible position of the E0855-2
//The lower Page is 0, and the top-most is 3
extern void SED_newline(void);

//Display one of ten graphic-images from the file PICS.c
//See PICS.c for information.
//Syntax: SED_showPIC (Number);
extern void SED_showPIC (uint8_t picture);

//Display one of the Symbols of the E0855-2 GLCD
//Syntax: SED_symbol(Number, [1] turn ON [2] turn OFF);
extern void SED_symbol(uint8_t symbol, uint8_t OnOff);

//Set Page and Column
//Sytax: SED_set_XY(Page [0-4],Column[0-95]);
extern void SED_set_XY(uint8_t Page, uint8_t Column);

#endif
